Skip to main content
POST
Request contract signatures

Authorizations

x-api-key
string
header
required

API key for authentication. Get your key at https://app.tomorro.com/settings/integrations?integration=api-key

Path Parameters

id
string
required

The unique identifier (UUID) of the contract

Example:

"550e8400-e29b-41d4-a716-446655440000"

Body

application/json
documentId
string

Document ID to send for signature. If not provided, the last document will be used.

Example:

"123e4567-e89b-12d3-a456-426614174000"

signatureNote
string | null

Optional note to include with the signature request

Example:

"Please review and sign this contract"

isReminderEnabled
boolean
default:true

Whether to enable signature reminders

Example:

true

Response

Contract sent for signature successfully

id
string
required

Unique identifier for the signature.

Example:

"sig-123"

status
enum<string>
required

Signature status

Available options:
draft,
sent,
signed,
canceled
Example:

"sent"

signatories
object[]
required

List of signatories

Example:
sentAt
string<date-time> | null

Date when the signature was sent

Example:

"2024-01-15T10:00:00Z"